﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ActiveBlock : Block
{
    #region Class Functions

    /// <summary>
    /// Is called after all players have taken one move
    /// 
    /// Should be implemented by a derived class
    /// </summary>
    public virtual void OnEnvironmentTurn(PlayerData[] allPlayers)
    {

    }

    /// <summary>
    /// Called after all players have finished all their moves
    /// 
    /// Should be implemented by a derived class
    /// </summary>
    public virtual void OnRoundEnd(PlayerData[] allPlayers)
    {

    }

    #endregion Class Functions


}
